Subject: bug#15899: 24.3.50; regression: `region' overlay is lower priority than default

From: Jarek Czekalski <[email-masked]>
Date: Sat, 16 Nov 2013 10:51:55 +0100

W dniu 2013-11-16 09:49, Eli Zaretskii pisze:
>> If the region overlay will have a high but finite and documented
>> priority, that would be much better.
> Which will start an "overlay priority arms race", something I loathe.

 From this point of view editors like Notepad are best. No races, no 
possibility of user or package interfering with application author's 
vision. But we are in Emacs. This should mean freedom to users. If a 
user wants to have a higher priority, why would you forbid him to do so?

I can't imagine an example where infinite priority is better than a high 
value. Could you help with that? I guess examples of malicious users or 
those who don't read docs should not count.

Jarek